<?php
error_reporting(E_ALL);
define('IN_COPPERMINE', true);
require('include/init.inc.php');

if (!(GALLERY_ADMIN_MODE || USER_ADMIN_MODE)) {
	cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);
}
$msg = '';
if ($superCage->post->keyExists('apply')) {
	if (!checkFormToken()) cpg_die($lang_errors['invalid_form_token'], 1, __FILE__, __LINE__);
	$aid = $superCage->post->getInt('albsel');
	$newt = cpg_db_real_escape_string(trim($superCage->post->getRaw('newtitle')));
	$newd = cpg_db_real_escape_string(trim($superCage->post->getRaw('newdesc')));
	$newk = cpg_db_real_escape_string(trim($superCage->post->getRaw('newkeys')));
	if ($newt || $newd || $newk) {
		$sets = array();
		if ($newt) $sets[] = "title='{$newt}'";
		if ($newd) $sets[] = "caption='{$newd}'";
		if ($newk) $sets[] = "keywords='{$newk}'";
		$set = implode(',', $sets);
		if (cpg_db_query("UPDATE {$CONFIG['TABLE_PICTURES']} SET {$set} WHERE aid={$aid}")) {
			$msg = 'Changes were made to ' . cpg_db_affected_rows() . ' images.';
		}
	}
}

$opts = '';

$result = cpg_db_query("SELECT aid, category, title FROM {$CONFIG['TABLE_ALBUMS']} AS a WHERE category=0 ORDER BY a.title ASC");
$albums = cpg_db_fetch_rowset($result, true);
foreach ($albums as $album) {
	$opts .= '<option value="'.$album['aid'].'"'.($album['aid']==$aid?' selected':'').'>'.$album['title'].'</option>';
}

$result = cpg_db_query("SELECT aid, category, title, c.name FROM {$CONFIG['TABLE_ALBUMS']} AS a INNER JOIN {$CONFIG['TABLE_CATEGORIES']} AS c ON a.category = c.cid ORDER BY c.name ASC, title ASC");
$albums = cpg_db_fetch_rowset($result);
foreach ($albums as $album) {
	$opts .= '<option value="'.$album['aid'].'"'.($album['aid']==$aid?' selected':'').'>'.$album['name'].'::'.$album['title'].'</option>';
}

list($timestamp, $form_token) = getFormToken();

pageheader('Bulk Image Title/Description/Keywords Re-writer');
	echo <<<EOT
	<br><h3>Bulk set title, description, or keywords for ALL images in an album</h3>
	<form name="rewrite_form" id="rewrite_form" method="post">
		<input type="hidden" name="form_token" value="{$form_token}" />
		<input type="hidden" name="timestamp" value="{$timestamp}" />
		Selected Album: <select name="albsel">{$opts}</select>
		<br /><br />Title: <input type="text" name="newtitle" style="width:40em" />
		<br /><br />Description:
		<br /><textarea name="newdesc" rows="3" cols="80"></textarea>
		<br /><br />Keywords (use semicolon): <input type="text" name="newkeys" style="width:30em" />
		<br /><br /><button type="submit" class="button" name="apply" id="apply" value="{$lang_common['apply_changes']}">{$icon_array['ok']}{$lang_common['apply_changes']}</button>
		&nbsp;&nbsp;{$msg}
	</form>
EOT;
